@media screen and (min-width: 1301px) {
  @import url('https://fonts.googleapis.com/css2?family=Roboto+Slab&display=swap');
  body{
      padding: 0;
      margin: 0;
      background-image: url(bg.jpg);
      background-size: cover;
      overflow: hidden;
      font-family: 'Roboto Slab', serif;
  }
  img{
    max-width: 100%;
    height: auto;
  }
  #logorog{
    width: 6vw;
    height: 0vh;
  }
  #menutop{
      width: 100vw;
      height: 10vh;
      color: bisque;
      backdrop-filter: blur(10px);
  }
  #main{
      height: 95vh;
      width: 100%;
      margin: 0 auto;
  }
  #baton{
      height: 10vh;
      width: 15vw;
      float: left;
      text-align: center;
      font-size: 15px;
  }
  #buttons{
      float: right;
  }
  #baton>p{
      margin-top: 3.5vh;
  }
  #menutop>img{
      width: 11vh;
      margin-left: 5vh;
      vertical-align: middle;
  }
  #baton:hover{
      transition: 0.4s;
      font-size: 19px;
      opacity: 1;
  }
  #middle{
      width: 100%;
      height: 30vh;
      margin-top: 20vh;
      margin-bottom: 30vh;
  }
  #middleA{
      height: 30vh;
      width: 20vh;
      float: left;
  }
  #opis{
      height: 30vh;
      width: 50vw;
      float: left;
      padding-left: 2vh;
      font-size: 1.2vw;
      color: wheat;
      font-family: 'Roboto Slab', serif;
      border-left: 2px solid wheat;
  }

  .main .galeria a img {
      float: left;
      width: 23%;
      height: auto;
      border: 2px solid #fff;
      -webkit-transition: -webkit-transform .15s ease;
      -moz-transition: -moz-transform .15s ease;
      -o-transition: -o-transform .15s ease;
      -ms-transition: -ms-transform .15s ease;
      transition: transform .15s ease;
      position: relative;
    }
    
    .main .galeria a:hover img {
      -webkit-transform: scale(1.05);
      -moz-transform: scale(1.05);
      -o-transform: scale(1.05);
      -ms-transform: scale(1.05);
      transform: scale(1.05);
      z-index: 5;
    }
    
    .clear {
      clear: both;
      float: none;
      width: 100%;
    }
    #cenniknapis{
      width: 100%;
      height: 5vh;
      color: bisque;
      font-family: 'Roboto Slab', serif;
      text-align: center;
      border-top: 1px solid bisque;
      border-bottom: 1px solid bisque;
      padding-top: 2vh;
      margin-top: 5vh;
      backdrop-filter: blur(5px);
    }
    #wpisy{
      width: 60%;
      height: 75vh;
      margin: 0 auto;
      color: bisque;
    }
    #t1, #t2, #t3{
      width: 100%;
      height: 20vh;
    }
    #l{
      width: 48%;
      height: 20vh;
      float: left;
      padding-left: 2%;
      backdrop-filter: blur(20px);
      box-shadow: inset 0 0 2px #000;
    }
    #p{
      width: 48%;
      height: 20vh;
      float: left;
      padding-right: 2%;
      backdrop-filter: blur(5px);
      text-align: center;
      box-shadow: inset 0 0 2px #000;
    }
    #p>h1{
      margin-top: 8vh;
      font-size: 4vh;
    }
    #l>h2{
      text-align: center;
      font-size: 2vh;
      margin-bottom: 1vh;
    }
    #l>p{
      font-size: 2vh;
      margin: 0;
      padding: 0;
    }
  #t1{
      margin-top: 5vh;
  }
  #blok{
      height: 75vh;
      width: 70vw;
      margin: 0 auto;
      display: flex;
  }
  #fota{
      height: 100%;
      width: 40%;
  }
  #ja{
      height: 60vh;
      width: 40vh;
      margin: 0 auto;
  }
  #ja>img{
      width: 100%;
      margin-top: 5vh;
      border: 10px solid rgba(255, 255, 255, 0.3);
      border-radius: 3px;
  }
  #pustka{
      width: 60%;
      height: 100%;
  }
  #opisme{
      height: 65%;
      width: 80%;
      background-color: rgba(255, 255, 255, 0.7);
      margin: 0 auto;
      margin-top: 13vh;
      border: 10px solid rgba(255, 255, 255, 0.3);
      border-radius: 3px;
  }
  .mapouter{
    margin: 0 auto;
    margin-top: 2vh;
    border: 10px solid rgba(255, 255, 255, 0.3);
      border-radius: 3px;
  }
  #info{
    margin-top: 5vh;
    height: 60vh;
    width: 65vh;
    background-color: rgba(255, 255, 255, 0.7);
    border: 10px solid rgba(255, 255, 255, 0.3);
      border-radius: 3px;
  }
  #gora>p{
    margin-left: 3vh;
    font-size: 30px;
  }
  #gora{
  height: 45%;
  width: 100%;
  }
  #dol{
  height: 50%;
  width: 100%;
  padding-top: 5vh;
  }
  #insta{
    margin-left: 25vw;
    margin-top: 5vh;
  }
  #fb{
    margin-top: 6vh;
    margin-left: 5vh;
  }
  .galeria{
    margin-left: 15vh;
  }
  #kategoria{
    width: 40vw;
    height: 40vh;
    background-color: aliceblue;
    margin-left: 5vw;
    margin-top: 3vh;
    border: 5px solid white;
    color: white;
    text-align: center;
    vertical-align:sub
  }
  #kafle{
    display: flex;
    flex-wrap: wrap;
  }
  #kategoria:first-child,#kategoria:nth-child(3){
    margin-left: 7vw;
  }
  .imprezy{
    background-image: url(imprezy.jpg);
    background-size: cover;
  }
  .panienskie{
    background-image: url(panienski.jpg);
    background-size: cover;
  }
  .wnetrza{
    background-image: url(wnetrza.jpg);
    background-size: cover;
  }
  .indywidualne{
    background-image: url(indywidualne.jpg);
    background-size: cover;
  }
  #kategoria h1{
    font-size: 60px;
    margin-top: 20%;
    -webkit-text-stroke: 0.5px black;
  }
  #kategoria:hover{
    cursor: pointer;
  }
  #gmap_canvas{
    height: 30vh;
    width: 75vw;
  }
  #kontaktyblok{
      height: 75vh;
      width: 80vw;
      margin-left: 5vw;
      display: flex;
      flex-wrap: wrap;
  }
  #contact{
    width: auto;
      height: 20vh;
      margin-left: 6vw;
      margin-top: 5vh;
  }
  #coninfo{
    height: auto;
    width: 75.5vw;
    background-color: rgba(255, 255, 255, 0.7);
    border: 0.5vh solid rgba(255, 255, 255, 0.3);
    border-radius: 3px;
  }
  #mapka{
      width: auto;
      height: 10vh;
      margin-left: 6vw;
  }
  #social{
    width: 25vw;
    height: 0vh;
  }
  #dol>a>img{
    width: 10vw;
  }
}

@media screen and (max-width: 1300px) {
  @import url('https://fonts.googleapis.com/css2?family=Roboto+Slab&display=swap');
  body{
      padding: 0;
      margin: 0;
      background-image: url(bg.jpg);
      background-size: cover;
      overflow: hidden;
      font-family: 'Roboto Slab', serif;
  }
  img{
    max-width: 100%;
    height: auto;
  }
  #logorog{
    width: 25vw;
    height: 0vh;
  }
  #menutop{
      width: 100vw;
      height: 10vh;
      color: bisque;
      backdrop-filter: blur(10px);
  }
  #main{
      height: 95vh;
      width: 100%;
      margin: 0 auto;
  }
  #baton{
      height: 10vh;
      width: 15vw;
      float: left;
      text-align: center;
      font-size: 3vw;
  }
  #buttons{
      float: right;
  }
  #baton>p{
      margin-top: 3.5vh;
  }
  #menutop>img{
      width: 11vh;
      margin-left: 5vh;
      vertical-align: middle;
  }
  #baton:hover{
      transition: 0.4s;
      font-size: 19px;
      opacity: 1;
  }
  #middle{
      width: 100%;
      height: 30vh;
      margin-top: 20vh;
      margin-bottom: 30vh;
  }
  #middleA{
      height: 30vh;
      width: 10vw;
      float: left;
  }
  #opis{
      height: auto;
      width: 50vw;
      float: left;
      padding-left: 2vh;
      font-size: 2.5vw;
      color: wheat;
      font-family: 'Roboto Slab', serif;
      border-left: 2px solid wheat;
  }

  .main .galeria a img {
      float: left;
      width: 44%;
      height: auto;
      border: 2px solid #fff;
      -webkit-transition: -webkit-transform .15s ease;
      -moz-transition: -moz-transform .15s ease;
      -o-transition: -o-transform .15s ease;
      -ms-transition: -ms-transform .15s ease;
      transition: transform .15s ease;
      position: relative;
    }
    
    .main .galeria a:hover img {
      -webkit-transform: scale(1.05);
      -moz-transform: scale(1.05);
      -o-transform: scale(1.05);
      -ms-transform: scale(1.05);
      transform: scale(1.05);
      z-index: 5;
    }
    
    .clear {
      clear: both;
      float: none;
      width: 100%;
    }
    #cenniknapis{
      width: 100%;
      height: 5vh;
      color: bisque;
      font-family: 'Roboto Slab', serif;
      text-align: center;
      border-top: 1px solid bisque;
      border-bottom: 1px solid bisque;
      padding-top: 2vh;
      margin-top: 3vh;
      backdrop-filter: blur(5px);
      font-size: 3vh;
    }
    #wpisy{
      width: 40vh;
      height: 75vh;
      margin: 0 auto;
      color: bisque;
    }
    #t1, #t2, #t3{
      width: 100%;
      height: 20vh;
    }
    #l{
      width: 48%;
      height: 20vh;
      float: left;
      padding-left: 2%;
      backdrop-filter: blur(20px);
      box-shadow: inset 0 0 1px #000;
    }
    #p{
      width: 48%;
      height: 20vh;
      float: left;
      padding-right: 2%;
      backdrop-filter: blur(5px);
      text-align: center;
      box-shadow: inset 0 0 1px #000;
    }
    span{
      margin-top: 1%;
    }
    #p>h1{
      margin-top: 8vh;
      font-size: 3vh;
    }
    #l>h2{
      text-align: center;
      font-size: 2vh;
      margin-bottom: 1vh;
    }
    #l>p{
      font-size: 1vh;
      margin: 0;
      padding: 0;
    }
  #t1{
      margin-top: 5vh;
  }
  #blok{
      height: 75vh;
      width: 70vw;
      margin-left: 5vw;
      display: flex;
  }
  #fota{
      height: 60vh;
      width: 40vw;
  }
  #ja{
      height: 60vh;
      width: 40vw;
      margin: 0 auto;
  }
  #ja>img{
      margin-top: 5vh;
      border: 0.5vh solid rgba(255, 255, 255, 0.3);
      border-radius: 3px;
  }
  #pustka{
      width: auto;
      height: 40vh;
      margin-left: 3vh;
  }
  #opisme{
      width: 40vw;
      background-color: rgba(255, 255, 255, 0.7);
      margin: 0 auto;
      margin-top: 5vh;
      border: 0.5vh solid rgba(255, 255, 255, 0.3);
      border-radius: 3px;
      font-size: 2vw;
  }
  .mapouter{
    height: auto;
    width: auto;
    margin: 0 auto;
    border: 0.5vh solid rgba(255, 255, 255, 0.3);
      border-radius: 3px;
  }
  #info{
    margin-top: 5vh;
    height: 60vh;
    width: 65vh;
    background-color: rgba(255, 255, 255, 0.7);
    border: 10px solid rgba(255, 255, 255, 0.3);
      border-radius: 3px;
  }
  #gora>p{
    margin-left: 3vh;
    font-size: 2.5vh;
  }
  #gora{
  height: auto;
  width: 60vw;
  margin-bottom: 3vh;
  }
  #dol{
  height: 50%;
  width: 60vw;
  }
  #insta{
    margin-left: 8vh;
    margin-top: 5vh;
  }
  #fb{
    margin-top: 6vh;
    margin-left: 5vh;
  }
  .galeria{
    margin-left: 10vw;
  }
  #kategoria{
    width: 40vw;
    height: 35vh;
    background-color: aliceblue;
    margin-left: 5vw;
    margin-top: 1vh;
    border: 5px solid white;
    color: white;
    text-align: center;
    vertical-align:sub;
  }
  
  #kafle{
    display: flex;
    flex-wrap: wrap;
    padding-bottom: 20vh;
  }
  #kategoria:first-child,#kategoria:nth-child(3){
    margin-left: 5vw;
  }
  .imprezy{
    background-image: url(imprezy2.jpg);
    background-size: cover;
  }
  .panienskie{
    background-image: url(panienski2.jpg);
    background-size: cover;
  }
  .wnetrza{
    background-image: url(wnetrza2.jpg);
    background-size: cover;
  }
  .indywidualne{
    background-image: url(indywidualne2.jpg);
    background-size: cover;
  }
  #kategoria h1{
    font-size: 3vh;
    margin-top: 20%;
    -webkit-text-stroke: 1px black;
  }
  #kategoria:hover{
    cursor: pointer;
  }
  #gmap_canvas{
    height: 30vh;
    width: 75vw;
  }
  #kontaktyblok{
      height: 75vh;
      width: 80vw;
      margin-left: 5vw;
      margin-top: 5vh;
      display: flex;
      flex-wrap: wrap;
  }
  #contact{
    width: auto;
      height: 20vh;
      margin-left: 3vh;
      margin-top: 5vh;
  }
  #coninfo{
    height: auto;
    width: 75vw;
    background-color: rgba(255, 255, 255, 0.7);
    border: 0.5vh solid rgba(255, 255, 255, 0.3);
    border-radius: 3px;
  }
  #mapka{
      width: auto;
      height: 10vh;
      margin-left: 6vw;
  }
  #social{
    width: 25vw;
    height: 0vh;
  }
  #dol>a>img{
    width: 15vw;
  }
}